API Documentation |
SearchableDataGridSelectionEvent

Package | ch.unil.cbg.ExpressionView.events
Class | public class SearchableDataGridSelectionEvent
Inheritance | SearchableDataGridSelectionEvent flash.events.Event

Public Properties

| Property | Defined By
--- | --- | ---
|  | selection : Array | SearchableDataGridSelectionEvent

Public Methods

| Method | Defined By
--- | --- | ---
|  | SearchableDataGridSelectionEvent(_type:String, _selection:Array, _bubbles:Boolean = true, _cancelable:Boolean = true) | SearchableDataGridSelectionEvent
|  | clone():Event [override] | SearchableDataGridSelectionEvent

Public Constants

| Constant | Defined By
--- | --- | ---
|  | ITEM_CLICK : String = ItemClick [static] | SearchableDataGridSelectionEvent
|  | ITEM_DOUBLE_CLICK : String = ItemDoubleClick [static] | SearchableDataGridSelectionEvent

Property Detail

selection | property

`public var selection:Array`

Constructor Detail

SearchableDataGridSelectionEvent | () | Constructor

`public function SearchableDataGridSelectionEvent(_type:String, _selection:Array, _bubbles:Boolean = true, _cancelable:Boolean = true)`

Parameters

| `_type:String`
| `_selection:Array`
| `_bubbles:Boolean` (default = `true`)``
| `_cancelable:Boolean` (default = `true`)``

Method Detail

clone | () | method

`override public function clone():Event`

Returns

| `Event`

Constant Detail

ITEM_CLICK | Constant

`public static const ITEM_CLICK:String = ItemClick`

ITEM_DOUBLE_CLICK | Constant |

`public static const ITEM_DOUBLE_CLICK:String = ItemDoubleClick`

Mon Oct 17 2011, 09:13 PM -04:00